<?php

include_once('db.inc.php');


function more_mail($mail){
	$mail=explode("; ", $mail);
	foreach ($mail as $value) {
		$str.= sprintf("<A HREF=\"mailto:%s\">%s</A> ", $value, $value);
	}
	return $str;
}

$mydb = new db();
if (isset($szaknevsor_id) && !$id) {
	$stmt="SELECT id,url,nev,szolgaltatas FROM kk_tag WHERE url='$szaknevsor_id'";
	$result=$mydb->query($stmt);
	while($row = mysql_fetch_object($result)) {
		$id = $row->id;
		$meta_title=$row->nev." - ";
		$meta_desc=$row->nev." - Könyvelő Kereső szaknévsor: könyvelés, könyvvizsgálat, adótanácsadás, cégalapítás, ajánlatkérés";
	}
} else {
	$stmt = sprintf( "select url from kk_tag where id=%d" , $id );
	$result = $mydb->query( $stmt );
	$row = mysql_fetch_assoc( $result );
	if (!$row) exit();
	$loc = sprintf( "http://%s/szaknevsor/%s" , $_SERVER["SERVER_NAME"] , $row["url"] );
	header("HTTP/1.1 301 Moved Permanently");
	header( sprintf( "Location: %s", $loc ) );
	exit();
}


include('header.inc.php');
?>

<table border="0" cellpadding="10" cellspacing="10" width="100%">
                            <tr>
                                <td width="100%">
                                <p class="vezercikkcim">Részletes adatok</p>

<?php
printf("%s
<TABLE width=100%%>", "");




$stmt="SELECT * FROM kk_tag WHERE id=$id AND jovahagyva='1'";

$result=$mydb->query($stmt);
while($row = mysql_fetch_object($result)){
	printf("<TR><td valign='top' align='center' colspan='2' class='oldalcim'><B>%s</B><br/><br/></TD></TR>\n", stripslashes($row->nev));
	if ($row->map)
	{
		printf("<TR valign='top'><TH align=\"left\" ><B>Cím</B></TH><TD valign='top'><a href='%s' target='_blank'><img src='/images/googlemap.png' align='right' border='0' alt='Megnézem térképen!'>%s %s, %s</a></TD></TR>\n", $row->map, $row->irsz, $row->telepules, $row->utca);
	}
	else
	{
		printf("<TR valign='top'><TH align=\"left\"><B>Cím</B></TH><TD valign='top'>%s %s, %s</TD></TR>\n", $row->irsz, $row->telepules, $row->utca);
	}
	if($row->ext==1){
		printf("<TR valign='top'><TH align=\"left\"><B>Telefon</B></TH><TD valign='top'>%s</TD></TR>\n", $row->telefon);

		$fax = $row->fax;
		if ($fax != '') {
			printf("<TR valign='top'><TH align=\"left\"><B>Fax</B></TH><TD valign='top'>%s</TD></TR>\n", $fax);
			}

		printf("<TR valign='top'><TH align=\"left\"><B>E-mail</B></TH><TD valign='top'>%s</TD></TR>\n", more_mail($row->email));

		$web = $row->web;
		if ($web != '') {
		printf("<TR valign='top'><TH align=\"left\"><B>Web</B></TH><TD valign='top'><A HREF=\"%s\" TARGET=\"_blank\">%s</A></TD></TR>\n", $web, $web);
			}
		}

	if ($row->szolgaltatas)	printf("<TR valign='top'><TH align=\"left\"><B>Szolgáltatások</B></TH><TD valign='top'>%s</TD></TR>\n", nl2br($row->szolgaltatas));
	if ($row->specialitas) printf("<TR valign='top'><TH align=\"left\"><B>Specialitások</B></TH><TD valign='top'>%s</TD></TR>\n", nl2br($row->specialitas));
	if ($row->referenciak) printf("<TR valign='top'><TH align=\"left\"><B>Referenciák</B></TH><TD valign='top'>%s</TD></TR>\n", nl2br($row->referenciak));
	if ($row->megye || $row->megye2 || $row->megye3)	
	{
		$kimegye="";
		if ($row->megye)
		{
			$stmt1="SELECT nev FROM kk_megye WHERE id=$row->megye";
			$result1=$mydb->query($stmt1);
			while($row1 = mysql_fetch_object($result1)){
				if (!$kimegye)	$kimegye=$row1->nev;
				else			$kimegye.="<br/>".$row1->nev;
			}
		}
		if ($row->megye2)
		{
			$stmt12="SELECT nev FROM kk_megye WHERE id=$row->megye2";
			$result12=$mydb->query($stmt12);
			while($row12 = mysql_fetch_object($result12)){
				if (!$kimegye)	$kimegye=$row12->nev;
				else			$kimegye.="<br/>".$row12->nev;
			}
		}
		if ($row->megye3)
		{
			$stmt13="SELECT nev FROM kk_megye WHERE id=$row->megye3";
			$result13=$mydb->query($stmt13);
			while($row13 = mysql_fetch_object($result13)){
				if (!$kimegye)	$kimegye=$row13->nev;
				else			$kimegye.="<br/> ".$row13->nev;
			}
		}
		printf("<TR valign='top'><TH align=\"left\"><B>Szolgáltatási terület</B></TH><TD valign='top'>%s</TD></TR>\n", $kimegye);
	}
}

printf("</TABLE>");
printf("</td></tr>");
?>
</table><hr noshade color="#C0C0C0" size="1">
<P align="center"><a href="/cimtar.php">Vissza a kereséshez &raquo;</a></p><br/>
<?php
include('footer.inc.php');
?>
